added quickshell script to replace ags for desktop overview

This commit is contained in:
JaKooLit
2025-07-17 19:28:58 +09:00
parent 2afc7293d5
commit 2fbfecd07a
4 changed files with 50 additions and 8 deletions

View File

@@ -1,5 +1,8 @@
## CHANGELOGS ## CHANGELOGS
## 17 July 2025
- added quickshell script to replace ags for desktop overview
## 08 June 2025 ## 08 June 2025
- updated SDDM theme. - updated SDDM theme.

38
install-scripts/quickshell.sh Executable file
View File

@@ -0,0 +1,38 @@
#!/bin/bash
# 💫 https://github.com/JaKooLit 💫 #
# quickshell - for desktop overview replacing AGS
if [[ $USE_PRESET = [Yy] ]]; then
source ./preset.sh
fi
quick=(
quickshell
)
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# Change the working directory to the parent directory of the script
PARENT_DIR="$SCRIPT_DIR/.."
cd "$PARENT_DIR" || { echo "${ERROR} Failed to change directory to $PARENT_DIR"; exit 1; }
# Source the global functions script
if ! source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"; then
echo "Failed to source Global_functions.sh"
exit 1
fi
# Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_quick.log"
# Installation of main components
printf "\n%s - Installing ${SKY_BLUE}Quick Shell $ags_tag${RESET} for Desktop Overview \n" "${NOTE}"
for PKG1 in "${quick[@]}"; do
install_package "$PKG1" "$LOG"
done
printf "\n%.0s" {1..1}

View File

@@ -125,7 +125,7 @@ execute_script() {
gtk_themes="OFF" gtk_themes="OFF"
bluetooth="OFF" bluetooth="OFF"
thunar="OFF" thunar="OFF"
ags="OFF" quickshell="OFF"
sddm="OFF" sddm="OFF"
sddm_theme="OFF" sddm_theme="OFF"
xdph="OFF" xdph="OFF"
@@ -259,10 +259,10 @@ fi
# Add the remaining static options # Add the remaining static options
options_command+=( options_command+=(
"gtk_themes" "Install GTK themes (required for Dark/Light function)" "OFF" "gtk_themes" "Install GTK themes? (required for Dark/Light function)" "OFF"
"bluetooth" "Do you want script to configure Bluetooth?" "OFF" "bluetooth" "Do you want script to configure Bluetooth?" "OFF"
"thunar" "Do you want Thunar file manager to be installed?" "OFF" "thunar" "Do you want Thunar file manager to be installed?" "OFF"
"ags" "Install AGS v1 for Desktop-Like Overview" "OFF" "quickshell" "Install quickshell for Desktop-Like Overview?" "OFF"
"xdph" "Install XDG-DESKTOP-PORTAL-HYPRLAND (for screen share)?" "OFF" "xdph" "Install XDG-DESKTOP-PORTAL-HYPRLAND (for screen share)?" "OFF"
"zsh" "Install zsh shell with Oh-My-Zsh?" "OFF" "zsh" "Install zsh shell with Oh-My-Zsh?" "OFF"
"pokemon" "Add Pokemon color scripts to your terminal?" "OFF" "pokemon" "Add Pokemon color scripts to your terminal?" "OFF"
@@ -404,9 +404,9 @@ for option in "${options[@]}"; do
echo "${INFO} Adding user into ${SKY_BLUE}input group...${RESET}" | tee -a "$LOG" echo "${INFO} Adding user into ${SKY_BLUE}input group...${RESET}" | tee -a "$LOG"
execute_script "InputGroup.sh" execute_script "InputGroup.sh"
;; ;;
ags) quickshell)
echo "${INFO} Installing ${SKY_BLUE}AGS v1 for Desktop Overview...${RESET}" | tee -a "$LOG" echo "${INFO} Installing ${SKY_BLUE}quickshell for Desktop Overview...${RESET}" | tee -a "$LOG"
execute_script "ags.sh" execute_script "quickshell.sh"
;; ;;
xdph) xdph)
echo "${INFO} Installing ${SKY_BLUE}xdg-desktop-portal-hyprland...${RESET}" | tee -a "$LOG" echo "${INFO} Installing ${SKY_BLUE}xdg-desktop-portal-hyprland...${RESET}" | tee -a "$LOG"

View File

@@ -106,9 +106,10 @@ packages=(
"pavucontrol" "pavucontrol" "off" "pavucontrol" "pavucontrol" "off"
"playerctl" "playerctl" "off" "playerctl" "playerctl" "off"
"pyprland" "pyprland" "off" "pyprland" "pyprland" "off"
"qalculate-gtk" "calculater - QT" "off" "qalculate-gtk" "calculator - QT" "off"
"qt5ct" "qt5ct" "off" "qt5ct" "qt5ct" "off"
"qt6ct" "qt6ct" "off" "qt6ct" "qt6ct" "off"
"quickshell" "quickshell" "off"
"rofi-wayland" "rofi-wayland" "off" "rofi-wayland" "rofi-wayland" "off"
"slurp" "screenshot tool" "off" "slurp" "screenshot tool" "off"
"swappy" "screenshot tool" "off" "swappy" "screenshot tool" "off"
@@ -134,13 +135,13 @@ packages=(
# Define the list of directories to choose from (with options_command tags) # Define the list of directories to choose from (with options_command tags)
directories=( directories=(
"ags" "AGS desktop overview configuration" "off"
"btop" "btop configuration" "off" "btop" "btop configuration" "off"
"cava" "cava configuration" "off" "cava" "cava configuration" "off"
"fastfetch" "fastfetch configuration" "off" "fastfetch" "fastfetch configuration" "off"
"hypr" "main hyprland configuration" "off" "hypr" "main hyprland configuration" "off"
"kitty" "kitty terminal configuration" "off" "kitty" "kitty terminal configuration" "off"
"Kvantum" "Kvantum-manager configuration" "off" "Kvantum" "Kvantum-manager configuration" "off"
"quickshell" "quickshell desktop overview configuration" "off"
"qt5ct" "qt5ct configuration" "off" "qt5ct" "qt5ct configuration" "off"
"qt6ct" "qt6ct configuration" "off" "qt6ct" "qt6ct configuration" "off"
"rofi" "rofi configuration" "off" "rofi" "rofi configuration" "off"